2010-04-24 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added upstream patches
	* patches/bash41-001 to 005: Added upstream patches.

2010-01-02 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 4.1. Removed PATCHLEVEL
	* PRE_BUILD: Removed 4.0 patches
	* patches/*: Removed all 4.0 patches

2009-12-30 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added upstream patches
	* patches/bash40-034 to 035: Added upstream patches

2009-09-19 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added upstream patches
	* patches/bash40-029 to 033: Added upstream patches

2009-08-10 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added upstream patches
	* patches/bash40-025 to 028: Added to upstream patches

2009-07-22 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added upstream patches
	* patches/bash40-018 to 024: Added upstream patches

2009-04-09 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added upstream patches
	* patches/bash40-011 to 017: Added upstream patches

2009-03-10 George Sherwood <gsherwood@sourcemage.org
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added upstream patches
	* patches/bash40-001 to 010: Added upstream patches

2009-02-21 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 4.0; use doc from 3.2

2009-01-16 George Sherwood <gsherwood@sourcemage.org>
	* POST_REMOVE: Removed entries to delete from info dir
	* PRE_REMOVE: Added entries to delete from info dir
	* REPAIR^85b827247477aa96dd3d18e967741b68^POST_REMOVE: Added to 
	  removed unneeded entries

2009-01-06 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 3.2.48; added sig IGNOREs
	* patches: removed

2008-12-06 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* PRE_BUILD, bash_autoconf.patch: fixed mktime/autoconf slowness #14635

2008-10-09 Remko van der Vossen <wich@sourcemage.org>
	* POST_RESURRECT: Added, fix bug 14335
	* FINAL, POST_REMOVE: install and remove shell from /etc/shells

2008-05-03 George Sherwood <george@beernabeer.com>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added bash32-034-39
	* bash32-034-39: Added new upstream patches

2008-01-14 George Sherwood <george@beernabeer.com>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added bash32-026-033
	* bash32-026-033: Added new upstream patches

2007-09-02 Thomas Orgis <sobukus@sourcemage.org>
	* DEPENDS: on autoconf

2007-08-24 George Sherwood <george@beernabeer.com>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added bash32-018-025
	* bash32-018-025: Added new upstream patches

2007-08-16 Thomas Orgis <sobukus@sourcemage.org>
	* CONFIGURE, PRE_BUILD: added option to enable NON_INTERACTIVE_LOGIN_SHELLS,
	  which makes all login shells read the config files (also those started by
	  qingy with -c $session_script).

2007-07-30 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: fixed SOURCE3_URL

2007-06-23 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Updated to unpack correct file
	* DETAILS: converted to upstream signature checking

2007-05-01 George Sherwood <george@beernabeer.com>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: added bash32-016/017
	* bash32-016-bash32-017: Added new upstream patches.

2007-03-24 George Sherwood <george@beernabeer.com>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added bash32-011-bash32-015
	* bash32-011-bash32-015: Added new upstream patches.

2007-03-06 George Sherwood <george@beernabeer.com>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Added bash32-010
	* bash32-010: Added new upstream patch.

2007-02-11 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to bash 3.2
	* PRE_BUILD: Removed bash31 patches.  Added bash32 patches.
	* bash31-001 - bash31-017: Removed.
	* bash32-001 - bash32-009: Added in patches subdirectory.

2007-01-16 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
       * profile.d/editor.sh: Removed, added to providers of EDITOR #10353

2006-10-06 Juuso Alasuutari <iuso@sourcemage.org>
	* profile.d/dummy: Removed bashism.
	* profile.d/editor.sh: Removed bashism.

2006-08-15 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed UPDATED (deprecated in favor of 
	  PATCHLEVEL).

2006-08-09 Juuso Alasuutari <iuso@sourcemage.org>
	* profile.d/lc.sh: Converted to standard sh (bug #11759), 
	  simplified code.

2006-07-03 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* profile: appended "unset i" #12581

2006-06-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed BUILD_API=2, set grimoire-wide

2006-04-13 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Added bash31 patch 17
	* DETAILS: Updated PATCHLEVEL
	* bash31-17: ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-017

2006-04-09 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Added bash31 patches 15,16
	* DETAILS: Updated PATCHLEVEL
	* bash31-015: ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-015
	* bash31-016: ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-016

2006-03-21 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Added bash31 patches 12,13,14
	* DETAILS: Updated PATCHLEVEL
	* bash31-012,013,014: Added patches

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-04 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Added bash31 patch 11
	* DETAILS: Updated PATCHLEVEL
	* bash31-010: Updated patch
	* bash31-011: added patch

2006-02-21 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Added bash31 patch 9 & 10
	* DETAILS: Updated PATCHLEVEL
	* bash31-009, bash31-010: Added files

2006-02-19 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* profile.d/lc.sh: minor fixes
	* DETAILS: updated PATCHLEVEL

2006-02-18 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* profile.d/locale.conf: configuration file for lc.sh
	* profile.d/lc.sh: sources locale from sysconfig
	* INSTALL: installation of init.d/locale.conf
	* DETAILS: increased PATCHLEVEL

2006-02-17 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Added bash31 patch 8
	* DETAILS: Updated PATCHLEVEL
	* bash31-008: Added files

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-07 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated PATCHLEVEL

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)

2006-02-06 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Add bash31 patches 6-7
	* bash31-006-bash31-007: Added files

2005-01-15 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Add bash31 patches 2-5
	* bash31-002-bash31-005: Added files

2005-12-26 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Added patch for error that breaks sorcery
	* bash31-001: Added file to fix problem with bash 3.1

2005-12-13 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 3.1
	* WIP: Added until some testing is done.

2005-12-09 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 3.0.16
	* BUILD: Removed incorporated patches
	* bash-3.0-avoid_WCONTINUED-1.patch: deleted
	* bash-3.0-display_wrap-1.patch: deleted

2005-10-13 Eric Sandall <sandalle@sourcemage.org>
	* bash-3.0.tar.gz.sig,bash-doc-3.0.tar.gz.sig: Updated to sha512 hash

2005-09-26 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED
	* INSTALL: Added some missing SCRIPT_DIRECTORY references and two missing
	  '\' continuations for the if statements (thanks to David Brown)

2005-09-25 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED
	* bashrc: Set PS1 (doesn't fall over from profile, thanks Arwed)
	* bash_logout: Moved to skel/bash_logout with the other skeleton files
	* INSTALL,FINAL: Move installation of shell files from FINAL to INSTALL
	  and use install_config_file so they're tracked (Bug #9473)
	  Added profile.d/ with all the profile.d scripts (dummy, editor.sh,
	  lc.sh) and removed the pop_script(), popld_script, pop_two(),
	  todays_sedit(), and todasld_sedit() scripts
	  Install all profile.d files with install_config_file
	  Removed recursion -> iteration code (install_config_file will now
	  let the user know there's been a change)
	  Removed FINAL

2005-09-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED
	* skel/bashrc,bashrc: Should not set PATH, otherwise paths set with
	  /etc/profile.d/ become 'erased' for every non-login shell

2005-09-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: fix typo in SOURCE2_GPG: $SOURCE -> $SOURCE2

2005-09-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Don't explicitly list GNU_URL mirrors
	  Updated UPDATED to force testing of my changes =}
	  Updated to GPG keys
	* PRE_BUILD: Use `unpack_file 2` for SOURCE2
	* FINAL: Fix a syntax error in my bug fixes (\ to continue a line for ||
	  and &&)
	  Clean up some formatting

2005-09-08 Eric Sandall <sandalle@sourcemage.org>
	* profile,bash_logout: Removed execute bit
	* bashrc: Branched from profile
	  Don't run iteration code (Bug #9672)
	* skel/bashrc: Added (Bug #9672)
	* skel/bash_profile: Added (Bug #9673)
	* FINAL: Install skel* files as $INSTALL_ROOT/etc/skel/.${FILE}
	  Install $SCRIPT_DIRECTORY/bashrc to $INSTALL_ROOT/etc/bashrc
	  Use `install` to install scripts

2005-08-28 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: clean after static build; remove leading tabs;
	* INSTALL: install static binary into /sbin and make a compatibility link.

2005-05-12 Andrew Stitt <astitt@sourcemage.org>
	* BUILD, INSTALL: Update to install into a chroot correctly, bug 8853.

2005-05-03 Andrew Stitt <astitt@sourcemage.org>
	* FINAL: use full path for dummy script instead of assuming the
	  script runs from a safe location. Bug 8801.

2005-04-08 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Fixed typo (make_normal instead of make-Normal)

2005-04-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed MAKE_NJOBS=1
	  Fixed typo in SHORT
	* BUILD: Run make_single before make
	* INSTALL: Run make_normal before installing

2005-03-31 Sergey Lipnevich <sergey@sourcemage.org>
	* INSTALL: create restricted shell as link to bash.

2005-02-16 Seth Woolley <seth@tautology.org>
	* FINAL: added true so that a missing /root/.bash_profile or no
	  /home/*/.bash_profile don't break FINAL. This change doesn't
	  affect compilation, only installing, so no UPDATED.

2005-01-21 Unet <unet@sourcemage.org>
	* BUILD: Added bash-3.0-display_wrap-1.patch
	  (Fixes a display issue which will only show 33 characters
	  then wrap to the next line)

2005-01-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Reworded SHORT
	* POST_INSTALL,FINAL: POST_INSTALL renamed to FINAL
	  Removed call to default_post_install
	* SOLO: Added so bash isn't replaced while Sorcery may be using it

2004-11-05 Robin Cook <rcook@wyrms.net>
	* BUILD: apply patch that fixes lockups on newer glibc

2004-10-19 Unet <audio@sourcemage.org>
	* BUILD: Added --with-bash-malloc=no, allowing bash3 to compile

2004-09-05 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Fix creation of /bin if this is a new install
	* HISTORY: Formatted to Guru Handbook

2004-07-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 3.0, removed patches, added SOURCE*_URL[2]
	  because the files aren't on ftp.gnu.org yet
	* POST_BUILD: renamed to POST_INSTALL for build_api 2
	* BUILD, INSTALL: converted to build_api 2, build a static bash and
	  install it as /bin/bash.static
	* PRE_BUILD: removed patches

2004-05-17 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: use --infodir and --mandir
	  add --without-bash-malloc so it works with gcc 3.4
	* POST_REMOVE: infodir is /usr/share/info, not /usr/info

2004-03-13 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PROVIDES: uppercase provides SHELL

2004-01-29 Tony Smith <tony@smee.org>
	* profile: SECURITY FIX. Removed "." from the path. Should NEVER
	  have been in there.

2004-01-27 hgg <hgreig@bigpond.net.au>
	* HISTORY: This spell has changed to source /etc/profile.d/*.sh during
	  login and will attempt to convert your old file into the new files.
	  No other spells will edit /etc/profile ever again, but the conversion
	  of your /etc/profile additions into the newer /etc/profile.d/*.sh
	  files should be checked before logging out or rebooting.
	* DETAILS: update UPDATED for stable grimoire users

2004-01-20 hgg <hgreig@bigpond.net.au>
	* POST_BUILD,profile: handle ldpreload differently, change recusrions
	  to iteration

2003-12-18 hgg <hgreig@bigpond.net.au>
	* POST_BUILD: reword warning and make it RED

2003-12-15 hgg <hgreig@bigpond.net.au>
	* POST_BUILD: change order of LC and LC_ALL checks and make LC check
	  actually check for LC= bug #5204 (thanks Eric)

2003-12-09 hgg <hgreig@bigpond.net.au>
	* POST_BUILD: add EDITOR support, change rude words to kiddiesafe ones
	  streamline the whole process

2003-12-08 hgg <hgreig@bigpond.net.au>
	* profile: add profile.d sourcing
	* POST_BUILD: try to make the transition automagical, generate
	  profile.d/* files for common additions and merge the recusion process
	  into usrs file (outside of sorcery tracking)

2003-12-02 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Add a missing INSTALL_ROOT
	* POST_BUILD: Add INSTALL_ROOT

2003-11-30 Eric Sandall <sandalle@sourcemage.org>
	* BUILD,POST_REMOVE: Add INSTALL_ROOT

2003-11-26 Jason Flatt <jason@flattfamily.com>
	* POST_BUILD: Moved 'defaul_post_build' to end of file for bug # 4558,
	  thanks to Benoit.
	* HISTORY: Formated to new formating standard.

2003-08-24 hgg <hgreig@bigpond.net.au>
	* Revert a bad change and add MAKE_NJOBS=1

2003-07-25 Vladimir Vydra <vydra@sourcemage.org>
	* Applyed fix for #3744 (thx. to demon_lord@myrealbox.com).

2003-04-18 Seth Woolley <seth@tautology.org>
	* DETAILS: Modified to fix md5 for SOURCE[1].

2003-02-23 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: Fixed md5 issue

2003-02-09 Seth Woolley <seth@tautology.org>
	* DETAILS: The docs were updated, and so too their md5

2002-09-01 Vladimir Vydra <vydra@fria.fri.utc.sk>
	* DETAILS: Added my-self as maintainer + LICENSE/MD5 fields fixup .

2002-08-10 Vladimir Vydra <vydra@fria.fri.utc.sk>
	* PROVIDES: Added for shell

2002-07-24 Vladimir Vydra <vydra@fria.fri.utc.sk>
	* DETAILS: Updated spell to version 2.05b .

2002-06-28 Vladimir Vydra <vydra@fria.fri.utc.sk>
	* DETAILS: Added MD5 and License fields.

2002-05-19 Vladimir Vydra <vydra@fria.fri.utc.sk>
	* HISTORY: Added file.
